<?php
/**
 * ### LetterXpress API - Example ###
 *
 * Version 1.0 - 02/2019
 * Autor: Christian Stein
 *
 * Company: A&O Fischer GmbH & Co. KG
 * Address: Maybachstraße 9, 21423 Winsen (Luhe)
 * Web: https://www.aof.de
 *
 * Product: LetterXpress, 2014-2019
 * Support: support@letterxpress.de
 * Web: https://www.letterxpress.de
 * Doc: https://www.letterxpress.de/dokumentation/api
 */
define("APP_URL", "https://sandbox.letterxpress.de/v1/"); // API-Url
define("API_KEY", "47551059e8cd5169bfcb0d4bb7cc7fba83c75ee1"); // API-Key
define("USERNAME", "sandbox"); // Benutzername

include(realpath('class') . '/LxpApi.class.php');

$lxp = new LxpApi();

$request['auth'] = array('apikey' => API_KEY, 'username' => USERNAME);

$pdf64 = LxpApi::ConvertPdf(realpath('files') . '\example.pdf');
$checksum = LxpApi::GetMd5Checksum($pdf64);

$address = '';

$request['letter'] = array('base64_file' => $pdf64,
    'base64_checksum' => $checksum,
    'address' => 'read', // Auslesen der Adresse vom Dokument
    #'address' => $address,
    'dispatchdate' => '12.12.2025',  
    'specification' =>
        array('color' => '1',
            'mode' => 'simplex',
            'ship' => 'national'
        )
);

$response = $lxp->setJob($request);

print_r($response); // Response